### Hierarchy

- UserService

## Index

### Constructors

- constructor

### Properties

- accounts
- accountsList
- accountsSubject
- actions
- actionsList
- actionsSubject
- headers
- keystore
- registry
- signer

### Methods

- addAccount
- approveAction
- changeAccountInfo
- getAccountByAddress
- getAccountByPhone
- getAccountDetailsFromMeta
- getAccountStatus
- getAccountTypes
- getActionById
- getActions
- getCategories
- getCategoryByProduct
- getGenders
- getLockedAccounts
- getTransactionTypes
- init
- loadAccounts
- resetAccountsList
- resetPin
- revokeAction
- searchAccountByName
- updateMeta
- wrap

## Constructors

### constructor

- new UserService(httpClient: HttpClient, loggingService: LoggingService, tokenService: TokenService, authService: AuthService): UserService

- - Defined in src/app/_services/user.service.ts:36

  #### Parameters

  - ##### httpClient: HttpClient

  - ##### loggingService: LoggingService

  - ##### tokenService: TokenService

  - ##### authService: AuthService

  #### Returns UserService

## Properties

### accounts

accounts: AccountDetails[] = []

- Defined in src/app/_services/user.service.ts:28

### Private accountsList

accountsList: BehaviorSubject<AccountDetails[]> = ...

- Defined in src/app/_services/user.service.ts:29

### accountsSubject

accountsSubject: Observable<AccountDetails[]> = ...

- Defined in src/app/_services/user.service.ts:32

### actions

actions: any[] = []

- Defined in src/app/_services/user.service.ts:34

### Private actionsList

actionsList: BehaviorSubject<any> = ...

- Defined in src/app/_services/user.service.ts:35

### actionsSubject

actionsSubject: Observable<any[]> = ...

- Defined in src/app/_services/user.service.ts:36

### headers

headers: HttpHeaders = ...

- Defined in src/app/_services/user.service.ts:23

### keystore

keystore: MutableKeyStore

- Defined in src/app/_services/user.service.ts:24

### registry

registry: CICRegistry

- Defined in src/app/_services/user.service.ts:26

### signer

signer: Signer

- Defined in src/app/_services/user.service.ts:25

## Methods

### addAccount

- addAccount(account: AccountDetails, cacheSize: number): void

- - Defined in src/app/_services/user.service.ts:266

  #### Parameters

  - ##### account: AccountDetails

  - ##### cacheSize: number

  #### Returns void

### approveAction

- approveAction(id: string): Observable<any>

- - Defined in src/app/_services/user.service.ts:154

  #### Parameters

  - ##### id: string

  #### Returns Observable<any>

### changeAccountInfo

- changeAccountInfo(address: string, name: string, phoneNumber: string, age: string, type: string, bio: string, gender: string, businessCategory: string, userLocation: string, location: string, locationType: string): Promise<any>

- - Defined in src/app/_services/user.service.ts:67

  #### Parameters

  - ##### address: string

  - ##### name: string

  - ##### phoneNumber: string

  - ##### age: string

  - ##### type: string

  - ##### bio: string

  - ##### gender: string

  - ##### businessCategory: string

  - ##### userLocation: string

  - ##### location: string

  - ##### locationType: string

  #### Returns Promise<any>

### getAccountByAddress

- getAccountByAddress(accountAddress: string, limit?: number): Promise<Observable<AccountDetails>>

- - Defined in src/app/_services/user.service.ts:193

  #### Parameters

  - ##### accountAddress: string

  - ##### limit: number = 100

  #### Returns Promise<Observable<AccountDetails>>

### getAccountByPhone

- getAccountByPhone(phoneNumber: string, limit?: number): Promise<Observable<AccountDetails>>

- - Defined in src/app/_services/user.service.ts:219

  #### Parameters

  - ##### phoneNumber: string

  - ##### limit: number = 100

  #### Returns Promise<Observable<AccountDetails>>

### getAccountDetailsFromMeta

- getAccountDetailsFromMeta(userKey: string): Observable<any>

- - Defined in src/app/_services/user.service.ts:162

  #### Parameters

  - ##### userKey: string

  #### Returns Observable<any>

### getAccountStatus

- getAccountStatus(phone: string): Observable<any>

- - Defined in src/app/_services/user.service.ts:58

  #### Parameters

  - ##### phone: string

  #### Returns Observable<any>

### getAccountTypes

- getAccountTypes(): Observable<any>

- - Defined in src/app/_services/user.service.ts:254

  #### Returns Observable<any>

### getActionById

- getActionById(id: string): Observable<any>

- - Defined in src/app/_services/user.service.ts:150

  #### Parameters

  - ##### id: string

  #### Returns Observable<any>

### getActions

- getActions(): void

- - Defined in src/app/_services/user.service.ts:143

  #### Returns void

### getCategories

- getCategories(): Observable<any>

- - Defined in src/app/_services/user.service.ts:246

  #### Returns Observable<any>

### getCategoryByProduct

- getCategoryByProduct(product: string): Observable<any>

- - Defined in src/app/_services/user.service.ts:250

  #### Parameters

  - ##### product: string

  #### Returns Observable<any>

### getGenders

- getGenders(): Observable<any>

- - Defined in src/app/_services/user.service.ts:262

  #### Returns Observable<any>

### getLockedAccounts

- getLockedAccounts(offset: number, limit: number): Observable<any>

- - Defined in src/app/_services/user.service.ts:63

  #### Parameters

  - ##### offset: number

  - ##### limit: number

  #### Returns Observable<any>

### getTransactionTypes

- getTransactionTypes(): Observable<any>

- - Defined in src/app/_services/user.service.ts:258

  #### Returns Observable<any>

### init

- init(): Promise<void>

- - Defined in src/app/_services/user.service.ts:45

  #### Returns Promise<void>

### loadAccounts

- loadAccounts(limit?: number, offset?: number): Promise<void>

- - Defined in src/app/_services/user.service.ts:180

  #### Parameters

  - ##### limit: number = 100

  - ##### offset: number = 0

  #### Returns Promise<void>

### resetAccountsList

- resetAccountsList(): void

- - Defined in src/app/_services/user.service.ts:237

  #### Returns void

### resetPin

- resetPin(phone: string): Observable<any>

- - Defined in src/app/_services/user.service.ts:53

  #### Parameters

  - ##### phone: string

  #### Returns Observable<any>

### revokeAction

- revokeAction(id: string): Observable<any>

- - Defined in src/app/_services/user.service.ts:158

  #### Parameters

  - ##### id: string

  #### Returns Observable<any>

### searchAccountByName

- searchAccountByName(name: string): any

- - Defined in src/app/_services/user.service.ts:242

  #### Parameters

  - ##### name: string

  #### Returns any

### updateMeta

- updateMeta(syncableAccount: Syncable, accountKey: string, headers: HttpHeaders): Promise<any>

- - Defined in src/app/_services/user.service.ts:128

  #### Parameters

  - ##### syncableAccount: Syncable

  - ##### accountKey: string

  - ##### headers: HttpHeaders

  #### Returns Promise<any>

### wrap

- wrap(syncable: Syncable, signer: Signer): Promise<Envelope>

- - Defined in src/app/_services/user.service.ts:166

  #### Parameters

  - ##### syncable: Syncable

  - ##### signer: Signer

  #### Returns Promise<Envelope>

Generated using TypeDoc